import * as React from "react";
import { extend } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { scheduleData } from './datasource';
import { Ap } from './ap';

/** import styles section */
import "../node_modules/@syncfusion/ej2-base/styles/material.css";
import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
import "../node_modules/@syncfusion/ej2-calendars/styles/material.css";
import "../node_modules/@syncfusion/ej2-dropdowns/styles/material.css";
import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";
import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
import "../node_modules/@syncfusion/ej2-schedule/styles/material.css";
import "./App.css";

interface apiInterface {
  eventsArray: any;
  newData: boolean;
}

export default class App extends React.Component<{}, apiInterface> {
  private data: any = extend([], (scheduleData as any), true) as Object[];
  public state: any = { newData: false };
  private btnClick(props: any) {
    this.setState({ newData: true });
  }

  public render() {
    let events = this.state.newData ? this.data.slice(5, 10) : this.data.slice(0, 5);
    return (
      <div>
        <ButtonComponent isToggle onClick={this.btnClick.bind(this)}>Button</ButtonComponent>
        <div className='col-lg-12 control-section'>
          <div className='control-wrapper'>
            <Ap eventsArray={events} />
          </div>
        </div>
      </div>
    );
  }
}
